extends ./includes/tmpl.pug 

block header 
    include includes/header-new.pug
block main
    main.s-main 
       

    // modal Checking a proof
    div.modal
        div.modal__inner
            div.modal__bg
            div.container
                div.modal__content
                    div.modal__close
                        svg(width='37' height='37' viewBox='0 0 37 37' fill='none' xmlns='http://www.w3.org/2000/svg')
                            path(fill-rule='evenodd' clip-rule='evenodd' d='M35.9062 36.3802L0.69954 1.17351L1.25342 0.619629L36.4601 35.8263L35.9062 36.3802Z' fill='white')
                            path(fill-rule='evenodd' clip-rule='evenodd' d='M0.699257 36.3802L35.9059 1.17351L35.3521 0.619629L0.145379 35.8263L0.699257 36.3802Z' fill='white')

                    div.c-add
                        div.c-add__text
                            div.h2 Prepare for crossing
                        
                        div.c-add__form        
                            div.input-group
                                label.input-label Target chain
                                    span(data-tippy-content="Blockchain where to create NFT key").i-tip 
                                div.select-custom 
                                    div.input-control
                                        span 
                                            span.option-chain
                                                img(src="../pics/chains/ethereum.svg", alt="").d-inline-block.mr-1
                                                | Ethereum
                                        //span.empty Choose a target chain
                                    ul.options-list(style="display:none;") 
                                        li.option 
                                            span.option-chain
                                                img(src="../pics/chains/smart-chain.svg", alt="").d-inline-block.mr-1
                                                | BNB Smart Chain
                                        li.option 
                                            span.option-chain
                                                img(src="../pics/chains/polygon.svg", alt="").d-inline-block.mr-1
                                                | Matic Polygon Mainnet
                                        li.option.selected 
                                            span.option-chain
                                                img(src="../pics/chains/ethereum.svg", alt="").d-inline-block.mr-1
                                                | Ethereum
                        
                            div.input-group
                                div.row 
                                    div.col-12.col-sm-8    
                                        label.input-label PIN-code
                                            span(data-tippy-content="Secret pin-code to unfreeze wrapped NFT in the original blockchain. Only you know the pin-code. Envelop doesn't keep the secret pin-code").i-tip
                                        div.pin-group.is-visible 
                                            input(type="password", placeholder="Enter here").input-control
                                            button.btn
                                    div.col-12.col-sm-4 
                                        label.input-label.d-none.d-sm-block &nbsp;
                                        button.btn-link.w-100 Generate PIN                               

                            div.input-group
                                div.input-label Hash (secret)
                                    span(data-tippy-content="Result of the SHA256 (Solidity style) encoding of the secret pin-code. All users can find it in the blockchain. Envelop keeps the hash").i-tip 
                                    label.checkbox.d-block.mt-3.d-sm-inline.mt-sm-0.ml-sm-4
                                        input(type="checkbox")
                                        span.check 
                                        span.check-text Enter manually
                                        span(data-tippy-content="You can manually enter the hash of your secret pin-code. Use SHA56 (Solidity style) algorithm to encode").i-tip 
                                input(type="text", placeholder="").input-control     

                            div.row.mt-6
                                div.col-sm-6
                                    button.btn.w-100 Start Crossing                                   